/***************************************************************************
 *   Copyright (C) 2007 by Claudio Scafuri, Giacomo Strangolino   *
 *   claudio@hyo   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


// cumbia
#include <cumbiapool.h>
#include <cuserviceprovider.h>
#include <cumacros.h>
#include <quapps.h>
// cumbia

#include "rfinp_b_sr.h"
// #include <qtango.h>
// no cumbia include replacement found for qtango.h
// #include <elettracolors.h>
// no cumbia include replacement found for elettracolors.h
// #include <TLogDialog>
// no cumbia include replacement found for TLogDialog

#define LITTLEW 328
#define LITTLEH 450
#define BIGW    650
#define BIGH    720


RFInp::RFInp(CumbiaPool *cumbia_pool, QWidget *parent) : QWidget(parent)
{

// cumbia
    CuModuleLoader mloader(cumbia_pool, &m_ctrl_factory_pool, &m_log_impl);
    cu_pool = cumbia_pool;
    ui = new Ui::RFInp;
    ui->setupUi(this, cu_pool, m_ctrl_factory_pool);
    // provide access to the engine in case of runtime swap
    new CuEngineAccessor(this, &cu_pool, &m_ctrl_factory_pool);

    // mloader.modules() to get the list of loaded modules
    // cumbia


	//ui.setupUi(this);
	QList<unsigned int> mask;
	mask << 0 << 1;
	ui->tTablePhSearchStat->setDisplayMask(mask);
	ui->tTablePhSearchStat->setBooleanDisplay(0, "Stopped", "searching", EColor(Elettra::gray), EColor(Elettra::gray));
	ui->tTablePhSearchStat->setBooleanDisplay(1, "-", "Error", EColor(Elettra::white), EColor(Elettra::red));

}

RFInp::~RFInp()
{

}    



